Issue 21176 - Q-PCD Beanshell support for Scripting Framework Programmability-15
Q-PCD Beanshell support for Scripting Framework Programmability-15
Status: CLOSED FIXED
Product: General
Classification: Code
Component: scripting
OOo 1.0.0
All All
: P3 trivial (vote)
: OOo 2.0
Assigned To: noel.power
issues@framework
:
Depends on: 25276
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 15:53 UTC by noel.power
Modified: 2005-01-06 15:34 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description noel.power 2003-10-14 15:53:55 UTC
Product Requirement 
BeanShell Support Allow the use of BeanShell for scripting.

Customer Need/Problem
Developers want to use popular scripting languages other than Basic. Java itself
is not optimal for scripting purposes. However there are scripting languages
that are very popular in the Java world.


Product Concept
Scripting Framework currently supports BeanShell.  The Scripting Framework needs
to be fully integrated into the SO/OOo installation.  Common interface to all
the supported scripting languages, allowing users to browse and select scripts
from any language.  [See Programmability Concept Particle Document]
Comment 1 noel.power 2003-10-20 15:42:32 UTC
updated milestone
Comment 2 lutz.hoeger 2003-10-23 07:51:42 UTC
added keyword Q-PCD
Comment 3 noel.power 2003-12-09 09:04:20 UTC
started
Comment 4 noel.power 2004-01-28 12:30:07 UTC
changed to feature
Comment 5 tomaisoc 2004-02-10 10:08:39 UTC
Added dependencies.
Comment 6 noel.power 2004-03-22 13:53:45 UTC
Beanshell now delivered as part of install set and is selectable from scripting
framework.
Comment 7 noel.power 2004-03-22 14:03:40 UTC
removed dependency on pkgchk as it is a seperate and distinct feature
Comment 8 joerg.skottke 2004-04-14 08:59:17 UTC
verified
Comment 9 noel.power 2005-01-06 15:34:18 UTC
closed